For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Update Project Roles for One User

Updates the roles of one user in the specified project. To specify the user to update, provide the unique 24-hexadecimal digit string that identifies the user in the specified project. To use this resource, the requesting API Key must have the Project User Admin role.

Base URL: https://cloud.mongodb.com/api/public/v1.0

PUT /groups/{PROJECT-ID}/users/{USER-ID}/roles
Name
Type
Description

PROJECT-ID

string

(Required.) Unique 24-hexadecimal digit string that identifies project.

USER-ID

string

(Required.) Unique 24-hexadecimal digit string that identifies the user to modify.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

Name
Type
Description

groupRoles

array

List of objects that describe the roles of the user.

Name
Type
Description

groupRoles

array

List of objects that describe the roles of the user.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Content-Type: application/json" \
--include \
--request PUT "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/users/{USER-ID}/roles" \
--data '
{
"groupRoles": ["GROUP_OWNER", "GROUP_USER_ADMIN", "GROUP_READ_ONLY"]
}'
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"groupRoles": [
"GROUP_OWNER",
"GROUP_USER_ADMIN",
"GROUP_READ_ONLY"
]
}